
海思1G_wifi - Bug #3333

8.2.1DBUS接口功能测试多项failed

04/03/2025 09:39 - 天驰 王

Status: Resolved Start date: 04/03/2025

Priority: Normal Due date:  

Assignee: 齐 刘 % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

测试版本: 2b7533b8_20250401152636 复现概率: 100%

Description

步骤：

1.Telnet或串口登陆网关；

2.中间件和插件正常运行，不要进入中间件，后台运行DBUS测试工具（./dbus_cts_&）；

等待运行完成，检查csv结果文件。

实际结果：

Version:V3.1.8    BuildTime:2023-06-03 03:42:21    R    SupportWiFi    SupportUSB    TestOn:2025-04-02 18:18:10

/com/ctc/igd1/Config/WLAN/STA/2    com.ctc.igd1.STAInfo                    Failed    No interface    introspect_data_compare   

com.ctc.igd1.STAInfo

/com/ctc/igd1/Config/WLAN/STA/2    org.freedesktop.DBus.Peer                    Failed    No interface    introspect_data_compare   

org.freedesktop.DBus.Peer

/com/ctc/igd1/Config/WLAN/STA/2    org.freedesktop.DBus.Introspectable                    Failed    No interface   

introspect_data_compare    org.freedesktop.DBus.Introspectable

/com/ctc/igd1/Config/WLAN/STA/2    com.ctc.igd1.Properties                    Failed    No interface    introspect_data_compare   

com.ctc.igd1.Properties

/com/ctc/igd1/Config/WLAN/STA/3    com.ctc.igd1.STAInfo                    Failed    No interface    introspect_data_compare   

com.ctc.igd1.STAInfo

/com/ctc/igd1/Config/WLAN/STA/3    org.freedesktop.DBus.Peer                    Failed    No interface    introspect_data_compare   

org.freedesktop.DBus.Peer

/com/ctc/igd1/Config/WLAN/STA/3    org.freedesktop.DBus.Introspectable                    Failed    No interface   

introspect_data_compare    org.freedesktop.DBus.Introspectable

/com/ctc/igd1/Config/WLAN/STA/3    com.ctc.igd1.Properties                    Failed    No interface    introspect_data_compare   

com.ctc.igd1.Properties

/com/ctc/igd1/Config/WLAN/STA/2    com.ctc.igd1.STAInfo                    Failed    No interface com.ctc.igd1.STAInfo from introspect   

remote_object_method_Lookup    Stop execve

/com/ctc/igd1/Config/WLAN/STA/3    com.ctc.igd1.STAInfo                    Failed    No interface com.ctc.igd1.STAInfo from introspect   

remote_object_method_Lookup    Stop execve

/com/ctc/igd1/Config/WLAN/STA/2    com.ctc.igd1.STAInfo                    Failed    No interface com.ctc.igd1.STAInfo from introspect   

remote_object_igd1_properties_SCC    Stop execve

/com/ctc/igd1/Config/WLAN/STA/3    com.ctc.igd1.STAInfo                    Failed    No interface com.ctc.igd1.STAInfo from introspect   

remote_object_igd1_properties_SCC    Stop execve

/com/ctc/igd1/Info/WiFi    com.ctc.igd1.WiFiInfo    EnWifiQualityCollection    Set            Failed    No Set_value3   

igd1_Set_Checksignal_CheckGet

/com/ctc/igd1/Info/WiFi    com.ctc.igd1.WiFiInfo    EnWifiQualityCollection    SetMulti            Failed    No Set_value    igd1_SetMulti

/com/ctc/igd1/Config/WLAN/STA/2    com.ctc.igd1.STAInfo                    Failed    No interface com.ctc.igd1.STAInfo from introspect   

remote_object_method_Lookup    Stop execve

/com/ctc/igd1/Config/WLAN/STA/3    com.ctc.igd1.STAInfo                    Failed    No interface com.ctc.igd1.STAInfo from introspect   

remote_object_method_Lookup    Stop execve

/com/ctc/igd1/Storage/nas    com.ctc.igd1.NASAccess        CreateFolder            Failed    method return(us)    remote_object_method 

1    directory is invalid!

/com/ctc/igd1/Storage/nas    com.ctc.igd1.NASAccess        Move            Failed    method return(us)    remote_object_method    1   

directory is invalid!

/com/ctc/igd1/Storage/nas    com.ctc.igd1.NASAccess        Copy            Failed    method return(uus)    remote_object_method    0    1

directory is invalid!

/com/ctc/igd1/VSIE/BeaconTxVSIE    com.ctc.igd1.VSIE.BeaconTxVSIEManager        GetBeaconTxVSIEByServiceName           

Failed    method return(ous)    remote_object_method    /com/ctc/igd1/VSIE/BeaconTxVSIE    1    not found

/com/ctc/igd1/VSIE/ProbeRxVSIE    com.ctc.igd1.VSIE.ProbeRxVSIEManager        GetProbeRxVSIEByServiceName            Failed   

method return(ous)    remote_object_method    /com/ctc/igd1/VSIE/ProbeRxVSIE    1    not found

预期结果：
所有测试项均通过

History

#1 - 04/11/2025 10:01 - 齐 刘

- File Thu_Apr_10_22h19m17s2025.csv added

- Status changed from New to Resolved

Commits: d8a2514d 和 9555c7b1

1. 这3个要换个u盘，因为这个u盘有两个分区，dbus_cts选的前一个分区 /mnt/usb1_2 可用空间为0，无法创建文件

/com/ctc/igd1/Storage/nas com.ctc.igd1.NASAccess CreateFolder Failed method return(us) remote_object_method 1 directory is invalid!

/com/ctc/igd1/Storage/nas com.ctc.igd1.NASAccess Move Failed method return(us) remote_object_method 1 directory is invalid!

/com/ctc/igd1/Storage/nas com.ctc.igd1.NASAccess Copy Failed method return(uus) remote_object_method 0 1 directory is invalid!

2. dbus_cts 测试完成后，如果要再次测试，需要先重启ipc_service 进程，没重启会导致部分测试失败，比如

/com/ctc/igd1/VSIE/BeaconTxVSIE com.ctc.igd1.VSIE.BeaconTxVSIEManager GetBeaconTxVSIEByServiceName Failed method return(ous)

remote_object_method /com/ctc/igd1/VSIE/BeaconTxVSIE 1 not found

/com/ctc/igd1/VSIE/ProbeRxVSIE com.ctc.igd1.VSIE.ProbeRxVSIEManager GetProbeRxVSIEByServiceName Failed method return(ous)

remote_object_method /com/ctc/igd1/VSIE/ProbeRxVSIE 1 not found

3. LANHost 不要加满，dbus_cts工具会把max lanhost数目设置小，加满会设置失败

#2 - 04/23/2025 09:58 - 天驰 王

- File dbus_cts_test_result.txt added

- File Tue_Apr_22_18h00m16s2025.csv added

- Status changed from Resolved to Feedback

5ad0c10f_20250422173344仍有fail项

#3 - 05/12/2025 11:14 - 齐 刘

- Status changed from Feedback to Resolved

用最新版本固件+新xml验证

Files

Wed_Apr__2_18h18m10s2025.csv 1.32 MB 04/03/2025 天驰 王

dbus_cts_test_result.txt 216 KB 04/03/2025 天驰 王

Thu_Apr_10_22h19m17s2025.csv 1.69 MB 04/11/2025 齐 刘

dbus_cts_test_result.txt 213 KB 04/23/2025 天驰 王

Tue_Apr_22_18h00m16s2025.csv 1.15 MB 04/23/2025 天驰 王
